#import <React/RCTBridgeModule.h>
#import <React/RCTViewManager.h>
#import <React/RCTEventEmitter.h>

@interface RCT_EXTERN_MODULE(FluentAdFlowAdsSdk, NSObject)
    RCT_EXTERN_METHOD(initSdk:(NSString *)apiKey withReferer:(NSString *)referer)
@end

@interface RCT_EXTERN_MODULE(FluentAdFlowWidgetViewManager, RCTViewManager)
    RCT_EXPORT_VIEW_PROPERTY(apiKey, NSString)
    RCT_EXPORT_VIEW_PROPERTY(referer, NSString)
    RCT_EXPORT_VIEW_PROPERTY(configId, NSString)
    RCT_EXPORT_VIEW_PROPERTY(params, NSDictionary)
@end

@interface RCT_EXTERN_MODULE(AdsViewEventEmitter, RCTEventEmitter)
    RCT_EXTERN_METHOD(supportedEvents)
    RCT_EXTERN_METHOD(requiresMainQueueSetup)
@end

