/**
 * fluent-adflow-widget.js
 *
 * Licensed under the Fluent Software Development Kit (SDK) Terms of Use
 * Version 1.0 (the "License");
 *
 * You may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at https://fluentco.com
 */
import { type HostComponent } from 'react-native';
import React, { Component } from 'react';
type FluentAdFlowWidgetProps = {
    style?: any;
    params: any;
    onAdShow?: any;
};
export interface FluentAdFlowWidgetState {
    height: number;
}
export declare class FluentAdFlowWidgetView extends Component<FluentAdFlowWidgetProps, FluentAdFlowWidgetState> {
    subscriberOnAdFlowContainerClosed: import("react-native").EmitterSubscription;
    subscriberOnAdFlowContainerShow: import("react-native").EmitterSubscription;
    subscriberOnAdFlowContainerHeightChanged: import("react-native").EmitterSubscription;
    subscriberOnError: import("react-native").EmitterSubscription;
    subscriberOnValidationFailed: import("react-native").EmitterSubscription;
    subscriberOnNotified: import("react-native").EmitterSubscription;
    constructor(props: FluentAdFlowWidgetProps);
    render(): React.JSX.Element;
    componentWillUnmount(): void;
}
export declare const WidgetNativeComponent: HostComponent<FluentAdFlowWidgetProps>;
export default FluentAdFlowWidgetView;
//# sourceMappingURL=fluent-adflow-widget.d.ts.map