package com.fluentadflowreactnativesdk

import android.graphics.Color
import android.view.View
import android.util.Log
import com.facebook.react.uimanager.SimpleViewManager
import com.facebook.react.uimanager.ThemedReactContext
import com.facebook.react.uimanager.annotations.ReactProp
import com.facebook.react.bridge.ReadableMap

class FluentAdFlowWidgetViewManager : SimpleViewManager<View>() {
  override fun getName() = "FluentAdFlowWidgetView"

  override fun createViewInstance(reactContext: ThemedReactContext): View {
    Log.d("FluentAdFlowWidgetView", "createViewInstance")
    return FluentAdFlowWidgetView(reactContext)
  }

  @ReactProp(name = "params")
  fun setParams(view: View, params: ReadableMap) {
    (view as FluentAdFlowWidgetView).launchWebView(params)
  }
}
